Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
rungxanhonline

Làm sao để duyệt qua tất cả các pl trong vùng trọn

Các bài được khuyến nghị

Giả sử mình có một bản vẽ gồm các được polyline và một số các đối tượng khác. Mình muốn hỏi làm thế nào để duyệt qua tất cả các đường polyline trong vùng mình chọn từ chuột và đếm xem bao nhiêu đường sau đó set cho mỗi đường thuộc một layer.

 

Ví dụ em muốn áp dụng với các đường pl trong bản vẽ này: http://www.mediafire.com/?m3qa1atb826f7gr

 

Xin chân thành cảm ơn các bác!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Giả sử mình có một bản vẽ gồm các được polyline và một số các đối tượng khác. Mình muốn hỏi làm thế nào để duyệt qua tất cả các đường polyline trong vùng mình chọn từ chuột và đếm xem bao nhiêu đường sau đó set cho mỗi đường thuộc một layer.

 

Ví dụ em muốn áp dụng với các đường pl trong bản vẽ này: http://www.mediafire.com/?m3qa1atb826f7gr

 

Xin chân thành cảm ơn các bác!

bạn quét chọn tất cả nhấn Ctrl+1 sau đó chọ lấy các pl như hình vẽ dưới,sau đó đưa tất cả các pl đấy về layer nào tùy bạn thôi(cũng chỉnh nó trog bảng này luôn)

 

untitled.jpg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thank nhé! Nhưng ý mình muốn hỏi về phần code VBA để thực thi công việc đó!

 

Bạn sử dụng code sau:

Public Sub PLine_Change()
Dim ssPolyline As AcadSelectionSet
Dim PLine

Dim FilterType(0) As Integer
Dim FilterData(0) As Variant

Set ssPolyline = ThisDrawing.SelectionSets.Add("ssPLine")
FilterType(0) = 0
FilterData(0) = "LWPOLYLINE"
ssPolyline.Select acSelectionSetAll, , , FilterType, FilterData

'Ban phai tao 1 lop co ten New layer truoc, hoac thay doi "New Layer" thanh ten lop ma ban da tao
For Each PLine In ssPolyline
	PLine.Layer = "New layer"
Next

ssPolyline.Delete

End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×